*;
*  Reduce number of worksheets using SHEET_INTERVAL.
*;

/*****************************************************************
/*
/*  TO DO: 
/*    Lines 22, 32 and 42: Add  sheet_interval='none'  to the 
/*      ODS statement before PROC PRINT
/*
*****************************************************************/

ods listing close;

ods tagsets.ExcelXP path="&SAMPDIR" file='PharmaFinancial.xml' style=XLsansPrinter;

  title;
  footnote;

  *  Create a separate worksheet for each business segment;

  ods tagsets.ExcelXP options();

  proc print data=mylib.PharmaFinancial noobs label split='*';
    where segment eq 1;  * Annual Geographic Segments;
    by category;
    id source;
    var val2004-val2002;
    sum val2002-val2004;
  run; quit;

  ods tagsets.ExcelXP options();
  
  proc print data=mylib.PharmaFinancial noobs label split='*';
    where segment eq 2;  * Annual Business Segments;
    by category;
    id source;
    var val2004-val2002;
    sum val2002-val2004;
  run; quit;

  ods tagsets.ExcelXP options();

  proc print data=mylib.PharmaFinancial noobs label split='*';
    where segment eq 3;  * Quarterly Business Segments;
    by category;
    id source;
    var val2004-val2002;
    sum val2002-val2004;
  run; quit;

ods tagsets.ExcelXP close;