*;
*  Suppress the BY lines and use custom titles, instead;
*;

/*****************************************************************
/*
/*  TO DO: 
/*    Line 22: Add  '#BYVAL(Category)'  to the TITLE statement
/*    Line 27: Add  embedded_titles='yes' suppress_bylines='yes'
/*      to the new ODS statement (global options)
/*    Lines 37, 49 and 61: Note the addition of the PAGEBY 
/*      statements to PROC PRINT
/*
*****************************************************************/

ods listing close;

ods tagsets.ExcelXP path="&SAMPDIR" file='PharmaFinancial.xml' style=XLsansPrinter;

  *  Use the value of the BY group Category for the title;

  title ;
  footnote;

  *  Set global options;

  ods tagsets.ExcelXP options();

  *  Create a separate worksheet for each business segment;

  ods tagsets.ExcelXP options(sheet_interval='none'
                              sheet_name='Annual Geographic Segments');

  proc print data=mylib.PharmaFinancial noobs label split='*';
    where segment eq 1;  * Annual Geographic Segments;
    by category;
    pageby category;     * Force a new title for each value of Category;
    id source;
    var val2004-val2002;
    sum val2002-val2004;
  run; quit;

  ods tagsets.ExcelXP options(sheet_interval='none'
                              sheet_name='Annual Business Segments');

  proc print data=mylib.PharmaFinancial noobs label split='*';
    where segment eq 2;  * Annual Business Segments;
    by category;
    pageby category;     * Force a new title for each value of Category;
    id source;
    var val2004-val2002;
    sum val2002-val2004;
  run; quit;

  ods tagsets.ExcelXP options(sheet_interval='none'
                              sheet_name='Quarterly Business Segments');

  proc print data=mylib.PharmaFinancial noobs label split='*';
    where segment eq 3;  * Quarterly Business Segments;
    by category;
    pageby category;     * Force a new title for each value of Category;
    id source;
    var val2004-val2002;
    sum val2002-val2004;
  run; quit;

ods tagsets.ExcelXP close;