*;
*  Change appearance with Excel formats (via ODS style overrides);
*;

/*****************************************************************
/*
/*  TO DO: 
/*    Line 40: Add style element name  header_id
/*    Line 41: Add style element name  data_comma_1
/*    Line 42: Add style element name  header_comma_1  (two times)
/*    Line 43: Add text to LABEL statement:  Millions of USD
/*
/*    Note: All of this is already done for the remaining PRINT code.
/*
*****************************************************************/

ods listing close;

ods tagsets.ExcelXP path="&SAMPDIR" file='PharmaFinancial.xml' style=XLsansPrinter;

  *  Use the value of the BY group Category for the title;

  title '#BYVAL(Category)';
  footnote;

  *  Set global options;

  ods tagsets.ExcelXP options(embedded_titles='yes' suppress_bylines='yes'
                              auto_subtotals='yes');

  *  Create a separate worksheet for each business segment;

  ods tagsets.ExcelXP options(sheet_interval='none'
                              sheet_name='Annual Geographic Segments');

  proc print data=mylib.PharmaFinancial noobs label split='*';
    where segment eq 1;  * Annual Geographic Segments;
    by category;
    pageby category;     * Force a new title for each value of Category;
    id source / style(header)= ;
    var val2004-val2002 / style(data)= ;
    sum val2002-val2004 / style(total)=  style(grandtotal)= ;
    label source = '';
  run; quit;

  ods tagsets.ExcelXP options(sheet_interval='none'
                              sheet_name='Annual Business Segments');

  proc print data=mylib.PharmaFinancial noobs label split='*';
    where segment eq 2;  * Annual Business Segments;
    by category;
    pageby category;     * Force a new title for each value of Category;
    id source / style(header)=header_id;
    var val2004-val2002 / style(data)=data_comma_1;
    sum val2002-val2004 / style(total)=header_comma_1  style(grandtotal)=header_comma_1;
    label source = 'Millions of USD';
  run; quit;

  ods tagsets.ExcelXP options(sheet_interval='none'
                              sheet_name='Quarterly Business Segments');

  proc print data=mylib.PharmaFinancial noobs label split='*';
    where segment eq 3;  * Quarterly Business Segments;
    by category;
    pageby category;     * Force a new title for each value of Category;
    id source / style(header)=header_id;
    var val2004-val2002 / style(data)=data_comma_1;
    sum val2002-val2004 / style(total)=header_comma_1  style(grandtotal)=header_comma_1;
    label source = 'Millions of USD';
  run; quit;

ods tagsets.ExcelXP close;